%{?!pyver: %define pyver %(python -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Name:		openerp-web
Version:	5.0.14
Release:	1%{?dist}
License:	GPLv3
Group:		Applications/Productivity
Summary:	Open Source ERP Web Client
URL:		http://www.openerp.com
Source0:	http://www.openerp.com/download/stable/source/openerp-web-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Patch0:		openerp-web-%{version}-setup.patch
BuildRequires:	python-devel pygtk2
BuildRequires:	python-setuptools
Requires:	pygtk2, pygtk2-libglade, pydot, mx, python-matplotlib
Requires:	libxml2-python, PyXML
Requires:	python-psycopg, python-reportlab
Requires:	python-formencode, python-babel, python-mako
Requires:	libxslt-python, python-imaging, python-simplejson, pyparsing


%description
Web Client components for openERP.
openERP is a complete ERP and CRM. The main features are accounting
(analytic and financial), stock management, sales and purchases management,
tasks automation, marketing campaigns, help desk, POS, etc. Technical features
include a distributed server, flexible workflows, an object database,
a dynamic GUI, customizable reports, and SOAP and XML-RPC interfaces.

%prep
%setup -q
%patch0 -p1

%build
%{__python} ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} ./setup.py install --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/
mv $RPM_BUILD_ROOT/usr/scripts/openerp-web $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
mv $RPM_BUILD_ROOT/usr/config/openerp-web.cfg $RPM_BUILD_ROOT%{_sysconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc doc/*
%doc /usr/doc/*
%{_bindir}/openerp-web
%{python_sitelib}/openerp/
%{python_sitelib}/openerp_web*
%{python_sitelib}/locales/*
%{_sysconfdir}/rc.d/init.d/openerp-web
%config(noreplace) %{_sysconfdir}/openerp-web.cfg

%changelog
* Fri Sep 03 2010 - Andrea Vezzali <vezza@inwind.it> 5.0.14-1 
- 5.0.14 build
